%define        libdatrie_version          0.2.5
Name:          libthai
Version:       0.1.22
Release:       1mamba
Summary:       Thai language support routines
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://linux.thai.net/
Source0:       ftp://linux.thai.net/pub/thailinux/software/libthai/libthai-%{version}.tar.xz
Source1:       ftp://linux.thai.net/pub/thailinux/software/libthai/libdatrie-%{libdatrie_version}.tar.gz
Patch0:        libthai-0.1.12-libdatrie-0.2.2-static-build.patch
Patch1:        libthai-0.1.9-doxygen-segfault.patch 
License:       LGPL
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: doxygen
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: pkgconfig
## AUTOBUILDREQ-END
BuildRequires: libtool
BuildRequires: pkgconfig
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
LibThai is a set of Thai language support routines aimed to ease developers' tasks to incorporate Thai language support in their applications. It includes important Thai-specific functions e.g. word breaking, input and output methods as well as basic character and string supports. LibThai is an Open Source and collaborative effort initiated by Thai Linux Working Group and opened for all contributors.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
LibThai is a set of Thai language support routines.

This package contains libraries and header files need for development.

%package static
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
LibThai is a set of Thai language support routines.

This package contains static libraries need for development.

%prep
%setup -q -n %{name}-%{version} -a1
mv libdatrie-%{libdatrie_version} libdatrie
%patch0 -p1
#%patch1 -p1

%build

{
	pushd libdatrie
		mkdir m4
		autoreconf -i -f
		%configure
		make
	popd
}

export DATRIE_CFLAGS="-I$PWD/libdatrie"
export DATRIE_LIBS="$PWD/libdatrie/datrie/libdatrie.la"
export PATH="$PWD/libdatrie/tools:$PATH"
autoreconf -i -f

%configure
make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

mkdir installed-docs
mv %{buildroot}%{_docdir}/libthai/* installed-docs
rmdir %{buildroot}%{_docdir}/libthai

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libthai.so.*
%{_datadir}/libthai/thbrk.tri
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/thai
%{_includedir}/thai/*.h
%{_libdir}/libthai.so
%{_libdir}/pkgconfig/libthai.pc
#%{_mandir}/man3/*.gz
%doc ChangeLog NEWS README
%doc installed-docs/*

%files static
%defattr(-,root,root)
%{_libdir}/libthai.*a

%changelog
* Thu Jul 30 2015 Automatic Build System <autodist@mambasoft.it> 0.1.22-1mamba
- automatic version update by autodist

* Thu Feb 12 2015 Automatic Build System <autodist@mambasoft.it> 0.1.21-1mamba
- automatic version update by autodist

* Sat Jul 27 2013 Automatic Build System <autodist@mambasoft.it> 0.1.19-1mamba
- update to 0.1.19

* Sun Jul 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.18-1mamba
- update to 0.1.18

* Mon Dec 06 2010 gil <puntogil@libero.it> 0.1.14-2mamba
- rebuilt devel

* Sat May 01 2010 gil <puntogil@libero.it> 0.1.14-1mamba
- package created by autospec
